{% extends 'app/base.html' %}

{% block content %}

<div class="container">
  <div class="row messenger">
    <div class="col-md-3 mb-3 left-sidebar  shadow-sm p-3 mb-5 bg-body rounded">
      <h3 class="mb-3 mt-2">Messenger</h3>
      {% for user, thread  in sidebar_threads %}
      
        <div class="user my-3">
          <a class="link-dark" href="{% url 'messenger:thread' user.id %}">
            {{ user.account.name }}
          </a> </br>
          <small>{{ thread.last.text_snippet }}</small></br>
          [<small>{{ thread.last.sent_at }}]</small>
        </div>
        
      {% empty %}
        <p> You don't have any messages yet!</p>
      {% endfor %}

    </div>
    <div class="col-md-9">
      {% if thread_user %}
        
      <h3 class="mb-3 mt-1">Your conversation with {{ thread_user.account.name }}</h3>

      <div class="messages">
        {% for message in thread  %}
          {% include 'includes/message_card.html' with message=message user=user%}
        {% endfor %}
      </div>

      <div class="send-message mt-1">
        <form action="{% url 'messenger:thread' thread_user.id %}" method="post" accept-charset="utf-8">
          {% csrf_token %}

          <input type="text" name="text" id="text" class="input-message shadow-sm bg-body rounded" value="">
          <button type="submit" class="btn custom-btn2">Send message</button>
        </form>

      </div>
      {% endif %}
      
    </div>
  </div>
</div>




{% endblock content %}
